Storage objects
Authorizations
x-chatcaptain-keystringRequired
Path parameters
bucketIdstringRequired
Body
datastring · binaryRequired
The file to be uploaded.
filenamestringOptional
An optional filename. If not specified, the original name of the file will be used.
Responses
201
Object successfully uploaded.
application/json
403
Insufficient permissions.
post
/v1/buckets/{bucketId}/objectsAuthorizations
x-chatcaptain-keystringRequired
Path parameters
bucketIdstringRequired
objectIdstringRequired
The ID (name/path) of the object to retrieve
Responses
200
Object details.
application/json
errorstringOptional
Optional error message.
403
Insufficient permissions.
get
/v1/buckets/{bucketId}/objects/{objectId}Authorizations
x-chatcaptain-keystringRequired
Path parameters
bucketIdstringRequired
objectIdstringRequired
The ID (name/path) of the object to delete
Responses
200
Result of the deletion operation.
application/json
deletedbooleanRequiredExample:
Indicates whether the deletion operation was successful.
trueerrorstringOptional
Optional error message.
403
Insufficient permissions.
delete
/v1/buckets/{bucketId}/objects/{objectId}Last updated